For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tenant.public.supply Plans.index

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filter[supply_type_id]integerOptional
filter[supply_type_name]string · max: 255Optional
filter[date_from]string · date-timeOptional
filter[date_to]string · date-timeOptional
filter[supply_plannable_type]string · max: 255Optional
filter[supply_plan_status_id]integerOptional
sortstring · max: 255Optional
per_pageinteger · min: 1 · max: 5000Optional
cursorstringOptional
includestring · max: 255Optional
Responses
200Success
application/json
messageconst: Supply Plans retrieved successfully.Required
dataarray · min: 1 · max: 1Required
metaany ofRequired
or
stringOptional
linksstringRequired
get/supply-plans
GET /your-tenant/api/v1/supply-plans HTTP/1.1
Host: plan.claret.app
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "text",
  "data": [],
  "meta": [],
  "links": "text"
}

Last updated

Was this helpful?